package com.team5.aLife.BaseStation;

public class Thermostat extends Device{
	
	private int currentTemp;
	private int currentSetTemp;
	private String currentMode;
	
	
	public Thermostat ()
	{
		//  Do nothing, needed for Json translation
	}
	
	public Thermostat (int deviceID, int deviceType, String deviceName, String deviceAddress,
			   int zigbeeStatus, int deviceStatus, int currentTemp, int currentSetTemp, String currentMode)
	{
		super(deviceID, deviceType, deviceName, deviceAddress, zigbeeStatus, deviceStatus);
		
		this.currentTemp = currentTemp;
		this.currentSetTemp = currentSetTemp;
		this.currentMode = currentMode;
	}
	
	public int getCurrentTemp(){
		return currentTemp;
	}
	
	public void setCurrentTemp(int currentTemp){
		this.currentTemp = currentTemp;
	}
	
	public int getCurrentSetTemp(){
		return currentSetTemp;
	}
	
	public void setCurrentSetTemp(int currentSetTemp){
		this.currentSetTemp = currentSetTemp;
	}
	
	public String getCurrentMode(){
		return currentMode;
	}
	
	public void setCurrentMode(String currentMode){
		this.currentMode = currentMode;
	}

}
